# Yapstone::DisputesApi

All URIs are relative to *https://api-prod-sandbox.yapstone.com/v1/dispute*

Method | HTTP request | Description
------------- | ------------- | -------------
[**action_by_dispute_id**](DisputesApi.md#action_by_dispute_id) | **PATCH** /disputes/{id}/action | Action to perform on the dispute - two values are supported - ACCEPT or CONTEST
[**create_dispute**](DisputesApi.md#create_dispute) | **POST** /disputes | Create a dispute [Test Only]
[**final_disposition_by_dispute_id**](DisputesApi.md#final_disposition_by_dispute_id) | **PATCH** /disputes/{id}/finalDisposition | Final disposition to be set on the dispute - two values are supported - WON or LOST
[**get_dispute**](DisputesApi.md#get_dispute) | **GET** /disputes/{id} | Fetch a single dispute
[**get_dispute_events**](DisputesApi.md#get_dispute_events) | **GET** /disputes/{id}/events | Fetch the dispute events associated with a dispute
[**update_status**](DisputesApi.md#update_status) | **PATCH** /disputes/{id}/status | Status to be updated in the dispute
[**update_workflow_status**](DisputesApi.md#update_workflow_status) | **PATCH** /disputes/{id}/disputeWorkflow | Workflow status to be updated in Dispute



## action_by_dispute_id

> action_by_dispute_id(id, action_patch_request)

Action to perform on the dispute - two values are supported - ACCEPT or CONTEST

Action to perform on the dispute - two values are supported - ACCEPT or CONTEST

### Example

```ruby
# load the gem
require 'yapstone-disputes'
# setup authorization
Yapstone.configure do |config|
  # Configure API key authorization: Bearer
  config.api_key['Authorization'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['Authorization'] = 'Bearer'
end

api_instance = Yapstone::DisputesApi.new
id = 'id_example' # String | Primary key for a single dispute record (assigned by YapStone)
action_patch_request = Yapstone::ActionPatchRequest.new # ActionPatchRequest | Action to be patched

begin
  #Action to perform on the dispute - two values are supported - ACCEPT or CONTEST
  api_instance.action_by_dispute_id(id, action_patch_request)
rescue Yapstone::ApiError => e
  puts "Exception when calling DisputesApi->action_by_dispute_id: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| Primary key for a single dispute record (assigned by YapStone) | 
 **action_patch_request** | [**ActionPatchRequest**](ActionPatchRequest.md)| Action to be patched | 

### Return type

nil (empty response body)

### Authorization

[Bearer](../README.md#Bearer)

### HTTP request headers

- **Content-Type**: application/json
- **Accept**: application/json


## create_dispute

> CompositeDispute create_dispute(composite_dispute)

Create a dispute [Test Only]

A test harness API to create a dispute

### Example

```ruby
# load the gem
require 'yapstone-disputes'
# setup authorization
Yapstone.configure do |config|
  # Configure API key authorization: Bearer
  config.api_key['Authorization'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['Authorization'] = 'Bearer'
end

api_instance = Yapstone::DisputesApi.new
composite_dispute = Yapstone::CompositeDispute.new # CompositeDispute | New dispute entity to be created

begin
  #Create a dispute [Test Only]
  result = api_instance.create_dispute(composite_dispute)
  p result
rescue Yapstone::ApiError => e
  puts "Exception when calling DisputesApi->create_dispute: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **composite_dispute** | [**CompositeDispute**](CompositeDispute.md)| New dispute entity to be created | 

### Return type

[**CompositeDispute**](CompositeDispute.md)

### Authorization

[Bearer](../README.md#Bearer)

### HTTP request headers

- **Content-Type**: application/json
- **Accept**: application/json


## final_disposition_by_dispute_id

> final_disposition_by_dispute_id(id, final_disposition_patch_request)

Final disposition to be set on the dispute - two values are supported - WON or LOST

Final disposition to be set on the dispute - two values are supported - WON or LOST

### Example

```ruby
# load the gem
require 'yapstone-disputes'
# setup authorization
Yapstone.configure do |config|
  # Configure API key authorization: Bearer
  config.api_key['Authorization'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['Authorization'] = 'Bearer'
end

api_instance = Yapstone::DisputesApi.new
id = 'id_example' # String | Primary key for a single dispute record (assigned by YapStone)
final_disposition_patch_request = Yapstone::FinalDispositionPatchRequest.new # FinalDispositionPatchRequest | Final disposition to be patched

begin
  #Final disposition to be set on the dispute - two values are supported - WON or LOST
  api_instance.final_disposition_by_dispute_id(id, final_disposition_patch_request)
rescue Yapstone::ApiError => e
  puts "Exception when calling DisputesApi->final_disposition_by_dispute_id: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| Primary key for a single dispute record (assigned by YapStone) | 
 **final_disposition_patch_request** | [**FinalDispositionPatchRequest**](FinalDispositionPatchRequest.md)| Final disposition to be patched | 

### Return type

nil (empty response body)

### Authorization

[Bearer](../README.md#Bearer)

### HTTP request headers

- **Content-Type**: application/json
- **Accept**: application/json


## get_dispute

> CompositeDispute get_dispute(id)

Fetch a single dispute

Returns the dispute detail and status history for the given `disputeId`

### Example

```ruby
# load the gem
require 'yapstone-disputes'
# setup authorization
Yapstone.configure do |config|
  # Configure API key authorization: Bearer
  config.api_key['Authorization'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['Authorization'] = 'Bearer'
end

api_instance = Yapstone::DisputesApi.new
id = 'id_example' # String | Primary key for a single dispute record (assigned by YapStone)

begin
  #Fetch a single dispute
  result = api_instance.get_dispute(id)
  p result
rescue Yapstone::ApiError => e
  puts "Exception when calling DisputesApi->get_dispute: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| Primary key for a single dispute record (assigned by YapStone) | 

### Return type

[**CompositeDispute**](CompositeDispute.md)

### Authorization

[Bearer](../README.md#Bearer)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## get_dispute_events

> CompositeDisputeEventPagedResponse get_dispute_events(id, opts)

Fetch the dispute events associated with a dispute

Returns the dispute events associated with a dispute

### Example

```ruby
# load the gem
require 'yapstone-disputes'
# setup authorization
Yapstone.configure do |config|
  # Configure API key authorization: Bearer
  config.api_key['Authorization'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['Authorization'] = 'Bearer'
end

api_instance = Yapstone::DisputesApi.new
id = 'id_example' # String | Primary key for a single dispute record (assigned by YapStone)
opts = {
  offset: 0, # Integer | Offset to start returning items at
  limit: 10 # Integer | Maximum number of items to return
}

begin
  #Fetch the dispute events associated with a dispute
  result = api_instance.get_dispute_events(id, opts)
  p result
rescue Yapstone::ApiError => e
  puts "Exception when calling DisputesApi->get_dispute_events: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| Primary key for a single dispute record (assigned by YapStone) | 
 **offset** | **Integer**| Offset to start returning items at | [optional] [default to 0]
 **limit** | **Integer**| Maximum number of items to return | [optional] [default to 10]

### Return type

[**CompositeDisputeEventPagedResponse**](CompositeDisputeEventPagedResponse.md)

### Authorization

[Bearer](../README.md#Bearer)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## update_status

> update_status(id, status_patch_request)

Status to be updated in the dispute

Status to be updated in the dispute

### Example

```ruby
# load the gem
require 'yapstone-disputes'
# setup authorization
Yapstone.configure do |config|
  # Configure API key authorization: Bearer
  config.api_key['Authorization'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['Authorization'] = 'Bearer'
end

api_instance = Yapstone::DisputesApi.new
id = 'id_example' # String | Primary key for a single dispute record (assigned by YapStone)
status_patch_request = Yapstone::StatusPatchRequest.new # StatusPatchRequest | Status to be patched

begin
  #Status to be updated in the dispute
  api_instance.update_status(id, status_patch_request)
rescue Yapstone::ApiError => e
  puts "Exception when calling DisputesApi->update_status: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| Primary key for a single dispute record (assigned by YapStone) | 
 **status_patch_request** | [**StatusPatchRequest**](StatusPatchRequest.md)| Status to be patched | 

### Return type

nil (empty response body)

### Authorization

[Bearer](../README.md#Bearer)

### HTTP request headers

- **Content-Type**: application/json
- **Accept**: application/json


## update_workflow_status

> update_workflow_status(id, workflow_status_patch_request)

Workflow status to be updated in Dispute

Workflow status to be updated in Dispute

### Example

```ruby
# load the gem
require 'yapstone-disputes'
# setup authorization
Yapstone.configure do |config|
  # Configure API key authorization: Bearer
  config.api_key['Authorization'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['Authorization'] = 'Bearer'
end

api_instance = Yapstone::DisputesApi.new
id = 'id_example' # String | Primary key for a single dispute record (assigned by YapStone)
workflow_status_patch_request = Yapstone::WorkflowStatusPatchRequest.new # WorkflowStatusPatchRequest | Workflow status to be patched

begin
  #Workflow status to be updated in Dispute
  api_instance.update_workflow_status(id, workflow_status_patch_request)
rescue Yapstone::ApiError => e
  puts "Exception when calling DisputesApi->update_workflow_status: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| Primary key for a single dispute record (assigned by YapStone) | 
 **workflow_status_patch_request** | [**WorkflowStatusPatchRequest**](WorkflowStatusPatchRequest.md)| Workflow status to be patched | 

### Return type

nil (empty response body)

### Authorization

[Bearer](../README.md#Bearer)

### HTTP request headers

- **Content-Type**: application/json
- **Accept**: application/json

